#!/usr/bin/python
# -*- coding: latin-1 -*-

import locale
locale.setlocale(locale.LC_ALL,'')

import sys

usage = """
usage: count.py <filename>
"""
try:
	filename = sys.argv[1]
except:
	print usage
	sys.exit(1)

try:	
	f = file(filename,'r')
except IOError, e:
	print "Erreur en ouvrant le fichier:"
	print e.strerror
	sys.exit(1)

text = f.read()
f.close()

# Se dbarrasse des carcatres non-alphabtiques
# (ponctuation, chiiffres, ...)
# (Solution peu lgante; on verra de meilleures possibilits que cette boucle
# dans le chapitre sur la programmation fonctionnelle)
clean_text = ""
for c in text: 
	if c.isalpha():
		clean_text += c
	else:
		clean_text += ' '
		
words = clean_text.split()

counted = {}

for word in words:
	try:
		counted[word] += 1
	except KeyError:
		counted[word] = 1

sorted_words = counted.keys()
# Trie sans tenir compte de la casse
sorted_words.sort(key=str.lower)

for w in sorted_words:
	print "%s: %d" % (w,counted[w])